Name:          utils-zookeeper
Version:       2.1.0
Release:       1%{?dist}
Summary:       Utilities and wrappers around ZooKeeper
License:       ASL 2.0
URL:           https://github.com/pongasoft/utils-zookeeper
Source0:       https://github.com/pongasoft/utils-zookeeper/archive/v%{version}.tar.gz
# Originally taken from
# http://jcenter.bintray.com/org/pongasoft/org.linkedin.zookeeper-impl/2.1.0/org.linkedin.zookeeper-impl-2.1.0.pom
# http://jcenter.bintray.com/org/pongasoft/org.linkedin.zookeeper-cli-impl/2.1.0/org.linkedin.zookeeper-cli-impl-2.1.0.pom
# added antrun-plugin for configure groovy ant task
# added compiler-plugin for configure source/target 1.7
Source1:       org.linkedin.zookeeper-cli-impl-template.pom
Source2:       org.linkedin.zookeeper-impl-template.pom

BuildRequires: maven-local
BuildRequires: mvn(antlr:antlr)
BuildRequires: mvn(commons-cli:commons-cli)
BuildRequires: mvn(log4j:log4j:1.2.17)
BuildRequires: mvn(org.apache.maven.plugins:maven-antrun-plugin)
BuildRequires: mvn(org.apache.zookeeper:zookeeper)
BuildRequires: mvn(org.codehaus.groovy:groovy-all)
BuildRequires: mvn(org.ow2.asm:asm-all)
BuildRequires: mvn(org.pongasoft:org.linkedin.util-core)
BuildRequires: mvn(org.pongasoft:org.linkedin.util-groovy)
BuildRequires: mvn(org.slf4j:slf4j-api)
BuildRequires: mvn(org.slf4j:slf4j-log4j12)
BuildRequires: mvn(org.slf4j:slf4j-nop)

BuildArch:     noarch

%description
The project represents a set of utility classes and
wrappers around ZooKeeper.

Originally known as linkedin-zookeeper.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{version}
find -name '*.class' -delete
find -name '*.jar' -delete

# This is a dummy POM added just to ease building in the RPM platforms
cat > pom.xml << EOF
<?xml version="1.0" encoding="UTF-8"?>
<project
  xmlns="http://maven.apache.org/POM/4.0.0"
  xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd"
  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">

  <modelVersion>4.0.0</modelVersion>
  <groupId>org.pongasoft</groupId>
  <artifactId>org.linkedin.zookeeper.project</artifactId>
  <packaging>pom</packaging>
  <version>%{version}</version>

  <modules>
    <module>org.linkedin.zookeeper-cli-impl</module>
    <module>org.linkedin.zookeeper-impl</module>
  </modules>

</project>
EOF

cp %{SOURCE1} org.linkedin.zookeeper-cli-impl/pom.xml
cp %{SOURCE2} org.linkedin.zookeeper-impl/pom.xml
sed -i "s|@VERSION@|%{version}|" org.linkedin.zookeeper*-impl/pom.xml

%mvn_alias :org.linkedin.zookeeper-cli-impl org.linkedin:
%mvn_alias :org.linkedin.zookeeper-impl org.linkedin:

%mvn_file :org.linkedin.zookeeper-cli-impl %{name}-cli-impl
%mvn_file :org.linkedin.zookeeper-impl %{name}-impl

%mvn_package :org.linkedin.zookeeper.project __noinstall

%build
# No test deps
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc README.md RELEASE.md
%license LICENSE.txt NOTICE.txt 

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt NOTICE.txt 

%changelog
* Fri Nov 20 2015 gil cattaneo <puntogil@libero.it> 2.1.0-1
- update to 2.1.0

* Fri Feb 20 2015 gil cattaneo <puntogil@libero.it> 2.0.3-1
- initial rpm
